Retry payment for an invoice
curl --request POST \
--url https://api.lynkwell.com/billing/v1/invoices/{invoiceId}/retry-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceId": "<string>"
}
'import requests
url = "https://api.lynkwell.com/billing/v1/invoices/{invoiceId}/retry-payment"
payload = { "invoiceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoiceId: '<string>'})
};
fetch('https://api.lynkwell.com/billing/v1/invoices/{invoiceId}/retry-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"paymentProfileId": "<string>",
"network": "<string>",
"pdfUrl": "<string>",
"status": "DRAFT",
"totalPaymentAttempts": 123,
"taxTotal": 123,
"currency": "<string>",
"invoiceItems": [
"<string>"
],
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"subTotal": 123,
"subscriptionItems": [
{
"id": "<string>",
"network": "<string>",
"total": 123,
"currency": "<string>",
"paymentProfileId": "<string>",
"priceId": "<string>",
"subscriptionId": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"invoiceId": "<string>"
}
],
"lastPaymentAttemptDate": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "PAYMENT_PROFILE_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Invoice
Retry payment for an invoice
This endpoint allows a user to retry payment for a specific invoice.
This action is not enabled by default. You must request additional permissions to perform this action.
POST
/
billing
/
v1
/
invoices
/
{invoiceId}
/
retry-payment
Retry payment for an invoice
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the invoice to retry payment
Body
application/json
The ID of the invoice to retry payment for.
Response
Retried invoice payment
Show child attributes
Show child attributes